<?
header("Content-Type: text/html; charset=utf-8");
use_helper('UrlFunctions');
use_helper('UtilFunctions');

$o_ObjectBeanFN = new CrAsistenciaFN();

$tamanioPag = 100;
  
//$o_ObjectBean->set($txtFechaFinal);  
//if($IdCapitalInicial   !=""){ $o_ObjectBean->setIdCapitalInicial($IdCapitalInicial); }
if($cboColaborador  !=""){ $o_ObjectBeanFN->setIdColaborador($cboColaborador); } 
if($cboTipoAsistencia   !=""){ $o_ObjectBeanFN->setTipoAsistencia($cboTipoAsistencia); }
if($txtFechaInicial   !=""){ $o_ObjectBeanFN->setFechaInicial($txtFechaInicial); }
if($txtFechaFinal   !=""){ $o_ObjectBeanFN->setFechaFinal($txtFechaFinal); }
$o_ObjectBeanFN->setTipoAsistencia('T');
$o_ObjectBeanFN->setEliminado('-1');


//echo $cboEstado;

 $o_ObjectBeanFN->page = $page;
 $o_ObjectBeanFN->tamPag = $tamanioPag;
 $o_ObjectBeanFN->sortType   = $sortType;
 $o_ObjectBeanFN->sortCampos = $sortCampos;



if(myUser::getUser()->getIdPadre()=="1"){
	//echo myUser::getUser()->getIdColaborador();
	//$o_ObjectBean->setIdColaboradorPrestamo(myUser::getUser()->getIdColaborador());
	
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult 	= $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador 			= $o_ColaboradorBeanResult[0]->getIdPadre();
  	
 }if(myUser::getUser()->getRoleId() == "sys.res"){ 
	$idAdministrador = myUser::getUser()->getIdColaborador();
}

if($idAdministrador){
	
	//Id sucursal
	$o_sucursalBean = new SucursalBean();
	$o_sucursalBean->setIdAdministrador($idAdministrador);
	
	$o_sucursalDP = new SucursalDP($o_sucursalBean);
	$a_o_sucursalDP = $o_sucursalDP->select();
	
	if(is_array($a_o_sucursalDP)){
		foreach ($a_o_sucursalDP as $key => $o_sucursalDP){
			$IdSucursal = $o_sucursalDP->getIdSucursal();
			$FechaIncioBalance = $o_sucursalDP->getFechaInicioBalance();
		}
	}
	
	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($idAdministrador);
	$o_ColaboradorBL = new ColaboradorBL();	
	$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
	if(is_array($a_o_Colaborador)){
		foreach ($a_o_Colaborador as $key => $o_colaborador){
			$a_Colaborador[] = $o_colaborador->getIdColaborador();
		}
	}
	$o_ObjectBeanFN->setIdColaboradores($a_Colaborador);
	
}


$a_o_ObjectBeanFN = $o_ObjectBeanFN->select();


$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_ObjectBeanFN->selectNumRows());
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;


if(myUser::getUser()->getIdPadre() == "1"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	 	
  	$IdPadre = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
}elseif(myUser::getUser()->getIdPadre() == "A"){
	
}else{
	
  	$IdPadre = myUser::getUser()->getIdColaborador();
}
if($IdPadre){
//Sacar el nombre de la sucursal
$o_SucursalBean = new SucursalBean();
$o_SucursalBean->setIdAdministrador($IdPadre);

$o_SucursalBL = new SucursalBL();
$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);


foreach ($a_o_sucursal as $key => $o_sucursal){
	$IdSucursal 	= $o_sucursal->getIdSucursal();
	$NombreSucursal = $o_sucursal->getDescripcion();
}
}

ViewResponse::getInstance()->setMethodAjax();

?>

<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>


<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="35">
                <th width="5%" >Nro</th>
                
                <th width="20%" align="left" >Representante</th>
                <th width="10%" align="left" >Comentario</th>
                <th width="8%" align="left" >Fecha</th>
                <th width="10%" align="right">Monto(S/.)</th>
                
               
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Usr.Creac.</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Fec.Creac.</th>
              
                <th width="10%">Opciones</th>
              </tr>
              <? if(count($a_o_ObjectBeanFN)>0){ ?>
              <? foreach ($a_o_ObjectBeanFN as $iKey => $o_objBean){ ?>
              
           
               
              <tr onClick="TR_click(this);">
                <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
                
                <td align="left"><?
                
                $o_colaboradorBean = new ColaboradorBean();
                $o_colaboradorBean->setIdColaborador($o_objBean->getIdcolaborador());
                $o_colaboradorDP = new ColaboradorDP($o_colaboradorBean);
                $a_o_colaboradorDP = $o_colaboradorDP->select();
                
               
                	
                if(is_array($a_o_colaboradorDP)){
                	
                	foreach ($a_o_colaboradorDP as $key => $o_colaboradorDPT){
                		echo $o_colaboradorDPT->getApellidoPaterno()." ".$o_colaboradorDPT->getApellidoMaterno().", ".$o_colaboradorDPT->getNombres();
                	}
                }
                ?></td>
                <td align="left"><?php echo $o_objBean->getComentario();?></td>
                <td align="right"><?=$o_objBean->getFecha()?></td>
                <td align="right"><? echo number_format($o_objBean->getMonto(),2); $total +=$o_objBean->getMonto();?></td>
                
               
                <td align="center"><?=$o_objBean->getUsuarioCreacion()?></td>
                <td align="center"><?=$o_objBean->getFechaCreacion()?></td>
                <td align="center" valign="top">
                  <?php 
                   $o_PlanillaFN = new CrPlanillaPeriodoFN();
				   $o_PlanillaFN->setPeriodo(substr($o_objBean->getFecha(),0,7));
				   $o_PlanillaFN->setEstado('C');
				   $a_o_planilla = $o_PlanillaFN->select();
				   if(!is_array($a_o_planilla) && count($a_o_planilla) == 0){?>
				 		<input type="image" name="Eliminar" src="/images/common/buttons/btnDelete.gif" title="Eliminar" onclick="deleteRegistro('<?=$o_objBean->getIdAsistencia()?>','<?=$o_objBean->getIdAsistencia()?>')">&nbsp;
                 	<?php }?>
                </td>
              </tr>
              
              <?php } ?>
              <tr>
               <td colspan="4" align="right"><B>Total</B></td>
               <td align="right"><B>S/.<?=number_format($total,2)?></B></td>
               <td colspan="5" align="right"><B>&nbsp;</B></td>
              <tr>
              <? }else{ ?>
              
                <td colspan="7" align="center">
                   <table class="marco" width="100%" border="0" cellpadding="0" cellspacing="0">
                     <tr>
                       <td>No se produjo resultado</td>
                       
                     </tr>
                   </table> 
                </td>
              </tr>
              <? } ?>
              
            </table>
          </td>
        </tr>
        <tr>
          <td>
          <table class="marco" width="100%" border="0" cellpadding="0" cellspacing="0">
                     <tr>
                       <td>Total Registros:&nbsp;<?php echo count($a_o_ObjectBeanFN)?> :: Monto Total-> S/.<?=number_format($o_ObjectBeanFN->MontoTotal(),2);?></td>
                      
                     </tr>
                   </table> 
         </td>
        </tr>
      </table>